%define anolis_release 1
%global pkgname gradio-client
%global pypi_name gradio_client
%global pypi_version 0.5.0

Name:           python-%{pkgname}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Python library for easily interacting with trained machine learning models

License:        Apache-2.0
URL:            https://github.com/gradio-app/gradio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(hatch-requirements-txt)
BuildRequires:  python3dist(hatch-fancy-pypi-readme)
Requires:   python3dist(websockets)
Requires:   python3dist(huggingface_hub)
Requires:   python3dist(httpx)
Requires:   python3dist(fsspec)

%description
Python library for easily interacting with trained machine learning models

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Python library for easily interacting with trained machine learning models


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Apr 12 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.5.0-1
- Initial package.
